gemm/thread/mma_sm50.h File Reference

Templates exposing architecture support for multiply-add operations. More...

`#include "cutlass/cutlass.h"`
`#include "cutlass/tensor_ref.h"`
`#include "cutlass/layout/matrix.h"`
`#include "cutlass/arch/mma.h"`
`#include "cutlass/gemm/gemm.h"`
`#include "cutlass/gemm/thread/mma.h"`
Include dependency graph for gemm/thread/mma_sm50.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::gemm::thread::MmaGeneric< Shape_, ElementA_, LayoutA_, ElementB_, LayoutB_, ElementC_, LayoutC_, Operator_ >
| Gemplate that handles all packed matrix layouts. More...
struct | cutlass::gemm::thread::Mma< Shape_, ElementA_, LayoutA_, ElementB_, LayoutB_, ElementC_, LayoutC_, arch::OpMultiplyAdd, bool >
| Gemplate that handles conventional layouts for FFMA and DFMA GEMM. More...

## Namespaces

| cutlass
| cutlass::gemm
| cutlass::gemm::thread